package util

import "encoding/json"

// MapToJsonString 将map转为JSON字符串的函数
func MapToJsonString(inputMap map[string]interface{}) (string, error) {
	// 使用json.Marshal将map转为JSON格式的字节切片
	jsonBytes, err := json.Marshal(inputMap)
	if err != nil {
		return "", err
	}

	// 将字节切片转为字符串
	jsonString := string(jsonBytes)
	return jsonString, nil
}

func JsonStringToMap(source string) (map[string]interface{}, error) {
	var dataMap map[string]interface{}
	err := json.Unmarshal([]byte(source), &dataMap)
	if err != nil {
		return nil, err
	} else {
		return dataMap, nil
	}
}
